function run(infile, outfile)
    addpath('utils/');
    % name of the attribute to add
    attName = 'larsson';

    % load arff data
    [data, metadata, attributes, relation] = LoadArff(infile);
    [ppdx, ppdy] = PixelsPerDegree(metadata.dimensionX, metadata.dimensionY, metadata.distance, metadata.pixelX, metadata.pixelY);
    ppd = (ppdx+ppdy)/2;

    % detect saccades (default parameters)
    saccData = DetectSaccadesDSF(infile);

    % detect blinks (default parameters) and merge with saccades
    blinks = DetectBlinks(infile);
    saccData(blinks==4) = 4;

    % add saccades and blinks as base for the calculations
    [data, attributes] = AddAttArff(data, attributes, saccData, attName, 'INTEGER');
    %keyboard

    thd = 100.0;
    data = preprocessing(data, attributes, attName, thd, ppd);

    %prelSeg = preliminary_segment(data, attributes, attName);
    prelSeg = preliminary_segment(data, attributes, attName, 44000, 12000, 0.01);

    %data = extract_sp(data, attributes, attName, prelSeg, ppd);
    data = extract_sp(data, attributes, attName, prelSeg, ppd, 32, 0.45, 0.5, 0.2, 1.9, 1.1, pi/4);

    SaveArff(outfile, data, metadata, attributes, relation);
end
