% function run_regex:
% get data from input and calls run for every file. It save results in teh current directory
%
% input:
%   inputFiles  - regex to input files (ex. '../GazeCom/gaze_arff')
%   outputDir   - root of the output folder path (this folder and its
%                 subdirectories will be created if necessary), 
%                 ex. '../GazeCom/output_larsson_validation';
%                 if not specified, the output files will appear in the
%                 same directories as input files.

function run_regex(inputFiles, outputDir)
    addpath('glob/');
    filelist = glob(inputFiles);

    for i=1:size(filelist,1)
        filename = filelist{i,1};
        disp(filename)
        [dir, name, ext] = fileparts(filename);
        
        if nargin >= 2 % if the outputDir is provided
            [~, videoName] = fileparts(dir);
            % preserve the subdirectory structure
            dir = [outputDir '/' videoName];
            if ~exist(dir, 'dir')
                mkdir(dir)
            end
        end
        
        if (length(dir) > 0)
            dir = [dir '/'];
        end
        outputFile = [dir name '_larsson' ext];

        run(filename, outputFile);
    end
end
