% function GetAttPositionArff:
% gets a list of attributes returned from LoadArff and an attribute to search.
% If it finds the attribute returns its index otherwise raises and error
%
% input:
%   arffAttributes  - attribute list returned from LoadArff
%   attribute       - attribute to search
%
% output:
%   attIndex        - index attribute of the attribute in the list if it was found

function [attIndex] = GetAttPositionArff(arffAttributes, attribute)
    attIndex = 0;

    for i=1:size(arffAttributes,1)
        if (strcmpi(arffAttributes{i,1}, attribute) == 1)
            attIndex = i;
        end
    end

    % check index
    assert(attIndex>0, ['Attribute "' attribute '" not found']);
end
